Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232545 - System freezes bringing up bcm43xx interface
Summary: System freezes bringing up bcm43xx interface
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 01:39 UTC by W. Andrew Denton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-07 18:52:53 UTC


Attachments (Terms of Use)

Description W. Andrew Denton 2007-03-16 01:39:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2) Gecko/20070223 Firefox/2.0.0.2

Description of problem:
System is a Dell Inspiron 8200
Broadcom Corporation BCM4303 802.11b Wireless LAN Controller (rev 01)

kernel-2.6.20-1.2949.fc7 works fine, and I'm using that now.

Attempting to bring up eth1 results in machine freezing. I don't get an OOPS. This happens even if I move away my /lib/firmware files.
The last thing I see before the system freezes is the localhost login: followed by
bcm43xx_mac80211: Microcode not responding
or if I move away the firmware:
bcm43xx_mac80211: Error: microcode "bcm43xx_microcode2.fw" not available or load failed.
and then the system stops responding.

If I boot into single-user, and manually ifup eth1, I typically get
Determining IP information for eth1...
and then the system stops responding. I don't see any difference with/without firmware.

Once, I got
Determining IP information for eth1...SIOCSIFFLAGS: no such device

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2986.fc7

How reproducible:
Always


Steps to Reproduce:
1. Boot the system, or,
2. ifup eth1


Actual Results:


Expected Results:


Additional info:
Boot with firmware:
Mar 15 17:59:33 ettercap NetworkManager: <info>  starting... 
Mar 15 17:59:34 ettercap NetworkManager: <info>  New VPN service 'openvpn' (org.freedesktop.NetworkManager.openvpn). 
Mar 15 17:59:34 ettercap NetworkManager: <info>  New VPN service 'vpnc' (org.freedesktop.NetworkManager.vpnc). 
Mar 15 17:59:34 ettercap kernel: bcm43xx_mac80211: Adding Interface type 2
Mar 15 17:59:34 ettercap kernel: bcm43xx_mac80211: Found PHY: Analog 0, Type 1, Revision 2
Mar 15 17:59:34 ettercap kernel: bcm43xx_mac80211: Found Radio: Manuf 0x17F, Version 0x2053, Revision 2
Mar 15 17:59:34 ettercap kernel: bcm43xx_mac80211: Microcode not responding
Mar 15 17:59:36 ettercap gdm[1708]: no suitable security token driver could be found

Boot without firmware:
Mar 15 18:07:34 ettercap NetworkManager: <info>  starting... 
Mar 15 18:07:34 ettercap NetworkManager: <info>  New VPN service 'openvpn' (org.freedesktop.NetworkManager.openvpn). 
Mar 15 18:07:34 ettercap NetworkManager: <info>  New VPN service 'vpnc' (org.freedesktop.NetworkManager.vpnc). 
Mar 15 18:07:34 ettercap kernel: bcm43xx_mac80211: Adding Interface type 2
Mar 15 18:07:34 ettercap kernel: bcm43xx_mac80211: Found PHY: Analog 0, Type 1, Revision 2
Mar 15 18:07:34 ettercap kernel: bcm43xx_mac80211: Found Radio: Manuf 0x17F, Version 0x2053, Revision 2
Mar 15 18:07:35 ettercap firmware_helper[1729]: Loading of /lib/firmware/bcm43xx_microcode2.fw for bcm43xx_mac80211 driver failed: No such file or director
y
Mar 15 18:07:35 ettercap kernel: bcm43xx_mac80211: Error: Microcode "bcm43xx_microcode2.fw" not available or load failed.
Mar 15 18:07:37 ettercap NetworkManager: <info>  eth1: Device is fully-supported using driver 'bcm43xx-pci'. 
Mar 15 18:07:37 ettercap NetworkManager: <info>  nm_device_init(): waiting for device's worker thread to start 
Mar 15 18:07:37 ettercap kernel: bcm43xx_mac80211: Adding Interface type 2

Comment 1 Dave Jones 2007-04-23 16:33:23 UTC
hows this with the latest builds ?  (There's also the newer bcm43xx-mac80211
driver included now, (which needs different firmware iirc).


Comment 2 John W. Linville 2007-08-07 18:52:53 UTC
Closed due to lack of response...


Note You need to log in before you can comment on or make changes to this bug.